/// Let list items slide in
/// @access public
/// @group animation transition
/// @param {number} $amount [25] - amount of list items to animate
/// @param {string} $duration [.15s] - animation time
/// @param {string} $direction ['-bottom'] - direction of animation
@mixin _move-list-items-in($amount: 25, $duration: 0.3s, $direction: '-bottom') {
  opacity: 0;
  animation: moveInAnimation#{$direction} $duration 1 ease-in-out;
  animation-fill-mode: both;

  @for $i from 1 through $amount {
    &:nth-child(#{$i}) {
      animation-delay: (0.05s * $i);
      transform: translateX(60px);

      @if $i % 2 == 0 {
        transform: translateX(-60px);
      }
    }
  }


  @keyframes moveInAnimation-bottom {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
      transform: translateX(0);
    }
  }

  @keyframes moveInAnimation-top {
    0% {
      opacity: 0;
      transform: translateY(-70vh);
    }
    100% {
      opacity: 1;
      transform: translateY(0);
    }
  }

  @keyframes moveInAnimation-right {
    0% {
      opacity: 0;
      transform: translateX(-100px);
    }
    100% {
      opacity: 1;
      transform: translateX(0);
    }
  }
}
